<bugID>721019<Summary>[Page Thumbnails] Add telemetry probes</Summary><Description>Add telemetry probes that track:

* the time it took to capture a thumbnail
* the time it took to store a thumbnail
* number of cache hits/misses
* ...</Description></bugID>